package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdPlan;
import com.xmomen.module.base.entity.CdPlanExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdPlanMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdPlanExample example);

    // 根据条件删除记录
    int deleteByExample(CdPlanExample example);

    // 插入记录
    int insertSelective(CdPlan record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdPlan record, @Param("example") CdPlanExample example);
}